Skip to main content
GET
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
List jobs
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs \
  --header 'Authorization: <api-key>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageSize": 123,
  "pageNumber": 123,
  "numberOfElements": 123,
  "content": [
    {
      "uid": "<string>",
      "innerId": "<string>",
      "status": "NEW",
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "targetLang": "<string>",
      "workflowStep": {
        "name": "<string>",
        "id": "<string>",
        "order": 123,
        "workflowLevel": 123
      },
      "filename": "<string>",
      "originalFileDirectory": "<string>",
      "dateDue": "2023-11-07T05:31:56Z",
      "dateCreated": "2023-11-07T05:31:56Z",
      "importStatus": {
        "status": "RUNNING",
        "errorMessage": "<string>"
      },
      "continuous": true,
      "sourceFileUid": "<string>",
      "split": true,
      "serverTaskId": "<string>",
      "owner": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>"
      },
      "remoteFile": {
        "humanReadableFolder": "<string>",
        "humanReadableFileName": "<string>",
        "encodedFolder": "<string>",
        "encodedFileName": "<string>"
      },
      "imported": true
    }
  ],
  "sort": {
    "orders": [
      {
        "direction": "ASC",
        "property": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Query Parameters

pageNumber
integer<int32>
default:0
Required range: x >= 0
pageSize
integer<int32>
default:50
Required range: 1 <= x <= 50
count
boolean
default:false
workflowLevel
integer<int32>
default:1
Required range: 1 <= x <= 15
status
enum<string>[]
Available options:
NEW,
ACCEPTED,
DECLINED,
REJECTED,
DELIVERED,
EMAILED,
COMPLETED,
CANCELLED
assignedUser
integer<int64>
dueInHours
integer<int32>
filename
string
targetLang
string
assignedVendor
integer<int64>
notReady
boolean

Response

successful operation

totalElements
integer<int32>
totalPages
integer<int32>
pageSize
integer<int32>
pageNumber
integer<int32>
numberOfElements
integer<int32>
content
object[]
sort
object